Subject: bug#41266: closed (Re: bug#41266: Suggested command to import key does not work on debian)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 28 Oct 2020 17:41:02 +0000

Your bug report

#41266: Suggested command to import key does not work on debian

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41266: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41266
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41266: Suggested command to import key does not work on debian
From: zimoun <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Oct 2020 18:40:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sun, 17 May 2020 at 21:25, Julien Lepiller <[email-masked]> wrote:

> Forget the wget thing, it's my fault for not reading it properly. The
> gpg command still needs to be run with sudo on at least fedora and
> debian.

Now, the binary install script “guix-install.sh” displays:

  echo "  wget 'https://sv.gnu.org/people/viewgpg.php?user_id=15145' -qO - | sudo -i gpg --import -"

Therefore, it is fine, right?  I am closing but feel free to reopen if I
misread or miss something.

Cheers,
simon

Subject: Suggested command to import key does not work on debian
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Thu, 14 May 2020 12:28:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just installed a debian VM to test changes in the install script and found this issue when running the installer script:

First it fails because it cannot find the public key and suggests running:

wget … -q0 - | gpg --import

-q0 does not work with debian's wget, but -O works.

Aftcr importing the key, the script still complains it cannot find it. Re-running the same command with "sudo" in front of the gpg import command re-imports the key and the script is then able to find it.

My guess is that the first import imported the key in my user's keyring, but the script looks in root's keyring. The second attempt added the key to root's keyring.